Bug 258337 - lang/rust: Update to 1.55.0
Summary: lang/rust: Update to 1.55.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D31872
Keywords:
Depends on:
Blocks: 258390
  Show dependency treegraph
 
Reported: 2021-09-07 12:05 UTC by Tobias Kortkamp
Modified: 2021-09-19 09:17 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2021-09-07 12:05:10 UTC
Hi,

please do an exp-run for the Rust 1.55.0 update and some additional changes
to cargo.mk.

https://reviews.freebsd.org/D31872

Thanks!
Comment 1 Mikael Urankar freebsd_committer 2021-09-07 14:00:55 UTC
There are some consumers ports that fails to build (the consumers build has not finished yet):

net/findomain:
error: failed to parse manifest at `/wrkdirs/usr/ports/net/findomain/work/Findomain-5.0.0/Cargo.toml`

Caused by:
  key `branch` is ignored for dependency (trust-dns-resolver).


net-im/conduit:
error: failed to parse manifest at `/wrkdirs/usr/ports/net-im/conduit/work/conduit-0d6ae2e1e74ee33fbc8dfcec01a8902e0a4d65d3/Cargo.toml`

Caused by:
  key `rev` is ignored for dependency (heed).


x11/wezterm:
error: failed to parse manifest at `/wrkdirs/usr/ports/x11/wezterm/work/wezterm-20210814-124438-54e29167/Cargo.toml`

Caused by:
  key `branch` is ignored for dependency (ssh2).
Comment 2 Tobias Kortkamp freebsd_committer 2021-09-07 16:36:07 UTC
(In reply to Mikael Urankar from comment #1)
Damn. I really did not want to spend time monkeying around with
CARGO_USE_GIT* since I can probably replace it in time for 1.56.

This used to be a warning but they made it an error in [1].
I'm going to revert that commit for now.

[1] https://github.com/rust-lang/cargo/commit/6f214ac7520d71c480dbe93e3874f14cfdaf594b
Comment 3 commit-hook freebsd_committer 2021-09-10 08:23:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9993ff909caebf3849ce6fd5bbaad81672f5a351

commit 9993ff909caebf3849ce6fd5bbaad81672f5a351
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-09-10 08:13:23 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-09-10 08:21:28 +0000

    devel/py-maturin: Unbreak with CARGO_BUILD_TARGET in the environment (D31872)

    error: can't copy '/wrkdirs/usr/ports/devel/py-maturin/work-py38/maturin-0.8.3/target/release/maturin': doesn't exist or not a regular file

    http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-09-09_14h16m24s/logs/errors/py38-maturin-0.8.3_8.log

    PR:             258337

 devel/py-maturin/Makefile             | 1 +
 devel/py-maturin/files/patch-setup.py | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 4 commit-hook freebsd_committer 2021-09-11 08:25:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ee6d553d7b6acc679d30b86c717ab42c0efd3459

commit ee6d553d7b6acc679d30b86c717ab42c0efd3459
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-09-10 16:59:48 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-09-11 08:21:48 +0000

    x11/squeekboard: Unbreak with CARGO_BUILD_TARGET in the environment (D31872)

    cp: ./release/librs.a: No such file or directory
    Traceback (most recent call last):
      File "/wrkdirs/usr/ports/x11/squeekboard/work/squeekboard-8293c5f10dbd5c1fdb071e1f7e4a97a4cd52d592/cargo_build.py", line 45, in <module>
        subprocess.run(['cp', '-a',
      File "/usr/local/lib/python3.8/subprocess.py", line 516, in run
        raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['cp', '-a', './release/librs.a', PosixPath('/wrkdirs/usr/ports/x11/squeekboard/work/squeekboard-8293c5f10dbd5c1fdb071e1f7e4a97a4cd52d592/_build/src/librs.a')]' returned non-zero exit status 1.

    http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-09-09_14h16m24s/logs/errors/squeekboard-1.14.0_2.log

    PR:             258337

 x11/squeekboard/files/patch-cargo__build.py (new) | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
Comment 6 Tobias Kortkamp freebsd_committer 2021-09-15 13:32:07 UTC
(In reply to Antoine Brodin from comment #5)
A fix for kooha is in the review.

> Also,  I don't know if it's related or not but freebsd-sysroot@all fail:

Yeah, BUILD_AS_NON_ROOT=no builds were broken but should be fixed.
Comment 7 commit-hook freebsd_committer 2021-09-19 09:16:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6f1fefb50e755d727f471aeb75ebe4e28f876b4b

commit 6f1fefb50e755d727f471aeb75ebe4e28f876b4b
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-09-07 08:14:14 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-09-19 09:03:21 +0000

    lang/rust: Update to 1.55.0

    - Set codegen-units=1 [1]
    - Add hack to skip cargo update on git sources as a step towards solving [2]
    - Fix 'capacity overflow' panics on armv* [3]

    Changes:        https://blog.rust-lang.org/2021-09-09/Rust-1.55.0.html
    PR:             258337
    PR:             256099 [1]
    PR:             256581 [2]
    PR:             257419 [3]
    Reviewed by:    mikael, pkubaj
    Exp-run by:     antoine
    Differential Revision:  https://reviews.freebsd.org/D31872
    With hat:       rust

 Mk/Uses/cargo.mk                                   |   2 +-
 Mk/bsd.gecko.mk                                    |   2 +-
 lang/rust-bootstrap/Makefile                       |   8 +-
 lang/rust-bootstrap/distinfo                       |   6 +-
 lang/rust/Makefile                                 |  12 +--
 lang/rust/distinfo                                 | 114 ++++++++++-----------
 ...m-project_compiler-rt_lib_builtins_cpu__model.c |  21 ++--
 ...ols_cargo_src_cargo_sources_git_source.rs (new) |  45 ++++++++
 ...rc_tools_cargo_src_cargo_util_toml_mod.rs (new) |  22 ++++
 .../patch-vendor_openssl-sys_build_main.rs (gone)  |  19 ----
 ..._src_unix_bsd_freebsdlike_freebsd_mod.rs (gone) |  12 ---
 ..._unix_bsd_freebsdlike_freebsd_powerpc.rs (gone) |  50 ---------
 .../powerpc64-elfv1/patch-src_bootstrap_native.rs  |  10 +-
 ...h-compiler_rustc__target_src_spec_mod.rs (gone) |  10 --
 ...rc_spec_powerpc64le__unknown__freebsd.rs (gone) |  19 ----
 15 files changed, 154 insertions(+), 198 deletions(-)
Comment 8 Tobias Kortkamp freebsd_committer 2021-09-19 09:17:59 UTC
Thanks.